%define ver      1.04
%define rel      2mdk

Summary: Filebrowser with an unusual display layout
Name: ktb
Version: %ver
Release: %rel
License: GPL
Group: File tools
Source: http://www.koeniglich.de/packages/ktb-%{ver}.tar.gz
Source1: %{name}16x16.png
Source2: %{name}32x32.png
Source3: %{name}48x48.png
Patch0: ktb-1.04-qt-build.patch.bz2
BuildRoot: %_tmppath/%name-%version-root 
URL: http://www.koeniglich.de/tb.html
BuildRequires: qt3-devel

%description

Ktb displays the filesystem with an unusual layout algorithm. The layout,
fonts, colors, background and icons are modifiable. A certain view
can be saved and loaded or printed on Postscript printers.

%prep
%setup -q
%patch0 -p1 -b .find-moc

%build
#export QTDIR=%{_prefix}/lib/qt3
%configure
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/%{name}"\
title="Ktb"\
longtitle="A file tree browser"\
needs="x11"\
icon="%name.png"\
section="System/File tools"
EOF
)

#icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
cp %SOURCE3 %buildroot/%_liconsdir/%name.png
cp %SOURCE2 %buildroot/%_iconsdir/%name.png
cp %SOURCE1 %buildroot/%_miconsdir/%name.png 

%post
%update_menus

%postun
%clean_menus

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%{_prefix}/bin/%{name}
%{_docdir}/ktb-%{ver}/*
%{_docdir}/HTML/en/ktb/*
%{_menudir}/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog

* Fri Jun  4 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.04-2mdk 
- rebuild for new libstdc++, gcc, fix menu entry

* Mon Jan 19 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.04-1mdk 
- first mandrake packaging
- temporary icons until author comes up with something

* Wed Oct 29 2003 Rudolf Koenig <r_dot_koenig_at_koeniglich.de>
- Rpm

